<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/main_bg_color"
        android:orientation="vertical"
        tools:context=".ui.login.SetPwdActivity">

        <View
            android:id="@+id/v"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintTop_toTopOf="parent" />

        <com.rdiot.yx485.view.ZNavbar
            android:id="@+id/nb"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="30dp"
                android:layout_marginTop="60dp"
                android:text="@string/set_password"
                android:textColor="@color/main_text_color"
                android:textSize="30sp"
                android:textStyle="bold" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="30dp"
                android:text="@string/welcome_to_register_account"
                android:textColor="@color/main_sub_text_color"
                android:textSize="13sp" />

            <!--输入框-->
            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="30dp"
                android:layout_marginTop="55dp"
                android:layout_marginEnd="30dp">

                <androidx.appcompat.widget.AppCompatEditText
                    android:id="@+id/et_pwd"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:hint="@string/set_6_pwd"
                    android:inputType="textPassword"
                    android:textColor="@color/main_text_color"
                    android:textColorHint="@color/main_sub_text_color"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    app:layout_constraintTop_toTopOf="parent" />

                <View
                    android:id="@+id/line_1"
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginTop="8dp"
                    android:background="@color/dividing_line_color"
                    app:layout_constraintTop_toBottomOf="@id/et_pwd" />

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/et_confirm_pwd"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="40dp"
                    android:background="@null"
                    android:hint="@string/confirm_6_pwd"
                    android:inputType="textPassword"
                    android:textColor="@color/main_text_color"
                    android:textColorHint="@color/main_sub_text_color"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    app:layout_constraintTop_toBottomOf="@id/line_1" />

                <View
                    android:id="@+id/line_2"
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginTop="8dp"
                    android:background="@color/dividing_line_color"
                    app:layout_constraintTop_toBottomOf="@id/et_confirm_pwd" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <!--登录按钮-->
            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/btn_confirm"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="30dp"
                android:layout_marginTop="55dp"
                android:layout_marginEnd="30dp"
                android:background="@drawable/sel_login_btn"
                android:outlineProvider="none"
                android:text="@string/confirm"
                android:textColor="@color/white"
                android:textSize="16sp"
                android:textStyle="bold" />
        </LinearLayout>


    </LinearLayout>
</layout>